List
curl --request GET \
--url https://api.cadanapay.com/v1/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"firstName": "John",
"lastName": "Doe",
"email": "<string>",
"phoneNumber": {
"countryCode": "1",
"number": "2345678901"
},
"metadata": {
"customField1": "value1",
"customField2": "value2"
},
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"roleId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"status": "active"
}
],
"meta": {
"limit": 1,
"currentPage": 1,
"skipped": 1,
"pages": 1,
"itemCount": 1
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Users
List
Get all users
GET
/
v1
/
users
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Query Parameters
Page number to retrieve
Required range:
x >= 1Maximum number of items to return per page
Required range:
1 <= x <= 100Filter by person ID
Filter by email
Toggle including user status in the response
⌘I